// Needs inkview.h encompassing full 4.x-6.x API
// https://github.com/ezdiy/pocketbook-sdk5/blob/master/arm-obreey-linux-gnueabi/sysroot/usr/local/include/inkview.h
// ~/ffi-cdecl/ffi-cdecl arm-buildroot-linux-musleabihf-gcc inkview_decl.c inkview_h.lua && sed -i 's/char data\[\];/char data[0];/' inkview_h.lua

#include "inkview.h"
#include "inkinternal.h"
#include "ffi-cdecl.h"

cdecl_enum(MencaFileStatus_e)
cdecl_enum(bt_service_e)
cdecl_enum(bt_service_state_e)
cdecl_enum(obex_status_e)
cdecl_enum(PB_STATE_e)
cdecl_enum(PB_TTS_STATE_e)
cdecl_enum(COVERCACHE_STORAGES_e)
cdecl_enum(input_dev_e)
cdecl_enum(estyle)

cdecl_type(SideFlags)
cdecl_type(PANEL_FLAGS)
cdecl_type(FONT_TYPE)
cdecl_type(AppStyles)
cdecl_type(APPLICATION_ATTRIBUTE)
cdecl_type(NET_STATE)
cdecl_type(WIFI_SECURITY)
cdecl_type(pointer_to_word_hand_t)
cdecl_type(network_interface)
cdecl_type(network_interface_info)
cdecl_type(proxy_settings)
cdecl_type(eBubbleTypes)
cdecl_type(FONT_MENU_FLAGS)

cdecl_type(iv_timerproc)
cdecl_type(iv_handler)
cdecl_type(iv_menuhandler)
cdecl_type(iv_hashdelproc)
cdecl_type(iv_timerprocEx)
cdecl_type(iv_keyboardhandler)
cdecl_type(iv_dialoghandler)
cdecl_type(iv_timeedithandler)
cdecl_type(iv_fontselecthandler)
cdecl_type(iv_dirselecthandler)
cdecl_type(iv_confighandler)
cdecl_type(iv_itemchangehandler)
cdecl_type(iv_pageselecthandler)
cdecl_type(iv_bmkhandler)
cdecl_type(iv_tochandler)
cdecl_type(iv_itempaint)
cdecl_type(iv_listhandler)
cdecl_type(iv_rotatehandler)
cdecl_type(iv_turnproc)
cdecl_type(iv_recurser)
cdecl_type(iv_msghandler)
cdecl_type(iv_requestlistener)
cdecl_type(iv_hashenumproc)
cdecl_type(iv_hashcmpproc)
cdecl_type(iv_panelupdateshandler)
cdecl_type(iv_custombubbledraw)
cdecl_type(iv_customherodraw)


cdecl_struct(BookSyncStatus_s)
cdecl_struct(iprofile_s)
cdecl_struct(iprofiles_s)
cdecl_struct(FontForSort_s)
cdecl_struct(obex_service_s)
cdecl_struct(bt_service_obj_s)
cdecl_struct(iuser_font_s)
cdecl_struct(ifont_list_s)
cdecl_struct(ifont_menu_s)
cdecl_struct(irect_s)
cdecl_struct(ibitmap_s)
cdecl_struct(control_panel_s)
cdecl_struct(TransparentDefinition)
cdecl_struct(ihash_item_s)
cdecl_struct(ihash_s)
cdecl_struct(ifont_s)
cdecl_struct(imenu_s)
cdecl_struct(imenuex_s)
cdecl_struct(icanvas_s)
cdecl_struct(icontext_menu_properties_s)
cdecl_struct(ifont_selector_properties)
cdecl_struct(icontext_menu_s)
cdecl_struct(iapp_caption_s)
cdecl_struct(itaskmgr_s)
cdecl_struct(ipager_s)
cdecl_struct(iselection_s)
cdecl_struct(iappstyle_s)
cdecl_struct(ievent_s)
cdecl_struct(iconfig_s)
cdecl_struct(iconfigedit_s)
cdecl_struct(oldconfigedit_s)
cdecl_struct(tocentry_s)
cdecl_struct(itimer_s)
cdecl_struct(bookinfo_s)
cdecl_struct(iv_filetype_s)
cdecl_struct(iv_template_s)
cdecl_struct(iv_wlist_s)
cdecl_struct(iv_netinfo_s)
cdecl_struct(iv_sessioninfo_s)
cdecl_struct(iv_fbinfo_s)
cdecl_struct(subtaskinfo_s)
cdecl_struct(taskinfo_s)
cdecl_struct(iv_mtinfo_s)
cdecl_struct(apinfo_s)
cdecl_struct(wifi_ap_list_s)
cdecl_struct(network_interface_array_s)
cdecl_struct(icolor_map_s)
cdecl_struct(icustombubble_s)
cdecl_struct(icustomhero_s)
cdecl_struct(icustomdialog_s)

cdecl_const(MAX_BT_SERVICE_USER )
cdecl_const(MSG_ACTUALIZEFRONTLIGHT)
cdecl_const(MSG_UPDATE_SERVICE_STATUSES)
cdecl_const(MSG_FACTORY_RESET)
cdecl_const(MSG_SETTIME_FROM_NTP)
cdecl_const(MSG_GET_IS_TIME_MONOTONIC_AFTER_LAST_NTP_SYNC)
cdecl_const(MSG_GET_PARTNER_ID)
cdecl_const(MSG_UPDATE_PARTNER_ID)
cdecl_const(MSG_BAN_SUSPEND)
cdecl_const(MSG_BACKUP)
cdecl_const(MSG_RESTORE)

cdecl_const(MSG_TASK_SEND_REQUEST_NOWAIT)
cdecl_const(MSG_START_SERVICES)
cdecl_const(MSG_LAST_OPEN_OPENED)

cdecl_const(APP_UID)
cdecl_const(APP_GID)
cdecl_const(SECAPP_UID)
cdecl_const(SECAPP_GID)
cdecl_const(SYSTEMDEPTH)
cdecl_const(MAXMSGSIZE)
cdecl_const(MSG_REQUEST)
cdecl_const(MSG_XREQUEST)
cdecl_const(MSG_OK)
cdecl_const(MSG_ERROR)
cdecl_const(MSG_FORMAT)
cdecl_const(MSG_SETTIME)
cdecl_const(MSG_SETPROFILE)
cdecl_const(MSG_PWENCRYPT)
cdecl_const(MSG_PWDECRYPT)
cdecl_const(MSG_RESTART)
cdecl_const(MSG_REMOUNTFS)
cdecl_const(MSG_WRITELOGO)
cdecl_const(MSG_RESTORELOGO)
cdecl_const(MSG_SUSPEND)
cdecl_const(MSG_IOC_ENCRYPT)
cdecl_const(MSG_IOC_DECRYPT)
cdecl_const(MSG_REG_CHECK)
cdecl_const(MSG_REG_WRITE)
cdecl_const(MSG_GETSERIAL)
cdecl_const(MSG_REBOOT)
cdecl_const(MSG_REBOOT_AND_UPDATE)
cdecl_const(MSG_TIMESTAMP)
cdecl_const(MSG_UPDATESTATUS)
cdecl_const(MSG_DISABLE_GSENSOR)
cdecl_const(MSG_ENABLE_GSENSOR)
cdecl_const(MSG_CONFIG_CHANGED)
cdecl_const(MSG_SET_LED)
cdecl_const(MSG_ENCRYPT_MEM)
cdecl_const(MSG_DECRYPT_MEM)
cdecl_const(MSG_GETDEVICEID)
cdecl_const(MSG_SETFRONTLIGHT)
cdecl_const(MSG_FBINFO)
cdecl_const(MSG_ORIENTATION)
cdecl_const(MSG_UPDPARTIAL)
cdecl_const(MSG_UPDDYNAMIC)
cdecl_const(MSG_UPDFULL)
cdecl_const(MSG_EINKPM)
cdecl_const(MSG_EINKTEMP)
cdecl_const(MSG_TASK_REGISTER)
cdecl_const(MSG_TASK_NEWSUBTASK)
cdecl_const(MSG_TASK_SWITCHSUBTASK)
cdecl_const(MSG_TASK_ENDSUBTASK)
cdecl_const(MSG_TASK_SETPARAMETERS)
cdecl_const(MSG_TASK_SETSUBTASKINFO)
cdecl_const(MSG_TASK_FOREGROUND)
cdecl_const(MSG_TASK_BACKGROUND)
cdecl_const(MSG_TASK_CLOSE)
cdecl_const(MSG_TASK_LIST)
cdecl_const(MSG_TASK_PREVIOUS)
cdecl_const(MSG_TASK_INFO)
cdecl_const(MSG_TASK_SENDEVENT)
cdecl_const(MSG_TASK_SENDREQUEST)
cdecl_const(MSG_TASK_ADDREQLISTENER)
cdecl_const(MSG_TASK_DELREQLISTENER)
cdecl_const(MSG_TASK_GLOBALREQUEST)
cdecl_const(MSG_TASK_SENDEVENTSYNC)
cdecl_const(MSG_TASK_INITIALIZED)
cdecl_const(MSG_TASK_PREVIOUS_INSTACK)
cdecl_const(MSG_TASK_COPY_ACTIVE_FB)
cdecl_const(MSG_DEVICEKEY)
cdecl_const(MSG_RESETKEY)
cdecl_const(EVT_INIT)
cdecl_const(EVT_EXIT)
cdecl_const(EVT_SHOW)
cdecl_const(EVT_REPAINT)
cdecl_const(EVT_HIDE)
cdecl_const(EVT_KEYDOWN)
cdecl_const(EVT_KEYPRESS)
cdecl_const(EVT_KEYUP)
cdecl_const(EVT_KEYRELEASE)
cdecl_const(EVT_KEYREPEAT)
cdecl_const(EVT_POINTERUP)
cdecl_const(EVT_POINTERDOWN)
cdecl_const(EVT_POINTERMOVE)
cdecl_const(EVT_POINTERLONG)
cdecl_const(EVT_POINTERHOLD)
cdecl_const(EVT_POINTERDRAG)
cdecl_const(EVT_POINTERCANCEL)
cdecl_const(EVT_ORIENTATION)
cdecl_const(EVT_FOCUS)
cdecl_const(EVT_UNFOCUS)
cdecl_const(EVT_ACTIVATE)
cdecl_const(EVT_MTSYNC)
cdecl_const(EVT_TOUCHUP)
cdecl_const(EVT_TOUCHDOWN)
cdecl_const(EVT_TOUCHMOVE)
cdecl_const(EVT_QN_MOVE)
cdecl_const(EVT_QN_RELEASE)
cdecl_const(EVT_QN_BORDER)
cdecl_const(EVT_SNAPSHOT)
cdecl_const(EVT_FSINCOMING)
cdecl_const(EVT_FSCHANGED)
cdecl_const(EVT_MP_STATECHANGED)
cdecl_const(EVT_MP_TRACKCHANGED)
cdecl_const(EVT_PREVPAGE)
cdecl_const(EVT_NEXTPAGE)
cdecl_const(EVT_OPENDIC)
cdecl_const(EVT_CONTROL_PANEL_ABOUT_TO_OPEN)
cdecl_const(EVT_PANEL_BLUETOOTH_A2DP)
cdecl_const(EVT_TAB)
cdecl_const(EVT_PANEL)
cdecl_const(EVT_PANEL_ICON)
cdecl_const(EVT_PANEL_TEXT)
cdecl_const(EVT_PANEL_PROGRESS)
cdecl_const(EVT_PANEL_MPLAYER)
cdecl_const(EVT_PANEL_USBDRIVE)
cdecl_const(EVT_PANEL_NETWORK)
cdecl_const(EVT_PANEL_CLOCK)
cdecl_const(EVT_PANEL_BLUETOOTH)
cdecl_const(EVT_PANEL_TASKLIST)
cdecl_const(EVT_PANEL_OBREEY_SYNC)
cdecl_const(EVT_PANEL_SETREADINGMODE)
cdecl_const(EVT_PANEL_SETREADINGMODE_INVERT)
cdecl_const(EVT_PANEL_FRONT_LIGHT)
cdecl_const(EVT_GLOBALREQUEST)
cdecl_const(EVT_GLOBALACTION)
cdecl_const(EVT_FOREGROUND)
cdecl_const(EVT_BACKGROUND)
cdecl_const(EVT_SUBTASKCLOSE)
cdecl_const(EVT_CONFIGCHANGED)
cdecl_const(EVT_SAVESTATE)
cdecl_const(EVT_OBREEY_CONFIG_CHANGED)
cdecl_const(EVT_SDIN)
cdecl_const(EVT_SDOUT)
cdecl_const(EVT_BT_RXCOMPLETE)
cdecl_const(EVT_BT_TXCOMPLETE)
cdecl_const(EVT_SYNTH_ENDED)
cdecl_const(EVT_DIC_CLOSED)
cdecl_const(EVT_SHOW_KEYBOARD)
cdecl_const(EVT_TEXTCLEAR)
cdecl_const(EVT_EXT_KB)
cdecl_const(EVT_LETTER)
cdecl_const(EVT_CALLBACK)
cdecl_const(EVT_SCANPROGRESS)
cdecl_const(EVT_STOPSCAN)
cdecl_const(EVT_STARTSCAN)
cdecl_const(EVT_SCANSTOPPED)
cdecl_const(EVT_POSTPONE_TIMED_POWEROFF)

cdecl_const(EVT_FRAME_ACTIVATED)
cdecl_const(EVT_FRAME_DEACTIVATED)
cdecl_const(EVT_READ_PROGRESS_CHANGED)
cdecl_const(EVT_DUMP_BITMAPS_DEBUG_INFO)

cdecl_const(EVT_NET_CONNECTED)
cdecl_const(EVT_NET_DISCONNECTED)
cdecl_const(EVT_NET_FOUND_NEW_FW)
cdecl_const(EVT_SYNTH_POSITION)
cdecl_const(KEY_POWER)
cdecl_const(KEY_DELETE)
cdecl_const(KEY_OK)
cdecl_const(KEY_UP)
cdecl_const(KEY_DOWN)
cdecl_const(KEY_LEFT)
cdecl_const(KEY_RIGHT)
cdecl_const(KEY_MINUS)
cdecl_const(KEY_PLUS)
cdecl_const(KEY_MENU)
cdecl_const(KEY_PREV)
cdecl_const(KEY_NEXT)
cdecl_const(KEY_HOME)
cdecl_const(KEY_BACK)
cdecl_const(KEY_PREV2)
cdecl_const(KEY_NEXT2)
cdecl_const(KEY_MUSIC)
cdecl_const(KEY_COVEROPEN)
cdecl_const(KEY_COVERCLOSE)
cdecl_const(KEY_ZOOMOUT)
cdecl_const(KEY_ZOOMIN)
cdecl_const(KEY_SHIFT)
cdecl_const(KEY_LANGUAGECHANGE)
cdecl_const(KEY_KEYBOARDCLOSE)
cdecl_const(KEY_0)
cdecl_const(KEY_1)
cdecl_const(KEY_2)
cdecl_const(KEY_3)
cdecl_const(KEY_4)
cdecl_const(KEY_5)
cdecl_const(KEY_6)
cdecl_const(KEY_7)
cdecl_const(KEY_8)
cdecl_const(KEY_9)
cdecl_const(KEYMAPPING_GLOBAL)
cdecl_const(KEYMAPPING_TXT)
cdecl_const(KEYMAPPING_PDF)
cdecl_const(BLACK)
cdecl_const(DGRAY)
cdecl_const(LGRAY)
cdecl_const(WHITE)
cdecl_const(ITEM_HEADER)
cdecl_const(ITEM_ACTIVE)
cdecl_const(ITEM_INACTIVE)
cdecl_const(ITEM_SUBMENU)
cdecl_const(ITEM_SEPARATOR)
cdecl_const(ITEM_BULLET)
cdecl_const(ITEM_TYPEMASK)
cdecl_const(ITEM_HIDDEN)
cdecl_const(ITEM_OLDMENU)
cdecl_const(ITEM_ALTSTYLE)
cdecl_const(KBD_NORMAL)
cdecl_const(KBD_ENTEXT)
cdecl_const(KBD_PHONE)
cdecl_const(KBD_NUMERIC)
cdecl_const(KBD_IPADDR)
cdecl_const(KBD_FILENAME)
cdecl_const(KBD_URL)
cdecl_const(KBD_DATE)
cdecl_const(KBD_TIME)
cdecl_const(KBD_DATETIME)
cdecl_const(KBD_HEX)
cdecl_const(KBD_HOURS)
cdecl_const(KBD_UPPER)
cdecl_const(KBD_LOWER)
cdecl_const(KBD_FIRSTUPPER)
cdecl_const(KBD_PASSWORD)
cdecl_const(KBD_NOSELECT)
cdecl_const(KBD_SCREENTOP)
cdecl_const(KBD_NOHEADER)
cdecl_const(KBD_NOEVTSHOW)
cdecl_const(KBD_SENDKEYBOARDSTATEEVENTS)
cdecl_const(KBD_NOTOUCH)
cdecl_const(KBD_PASSEVENTS)
cdecl_const(KBD_NOUPDATE_AFTER_CLOSE)
cdecl_const(KBD_EN_DEFAULT)
cdecl_const(KBD_NOUPDATE_AFTER_OPEN)
cdecl_const(KBD_NO_SELFCLOSE_ON_OK)
cdecl_const(KBD_CUSTOM_ENTER_KEY)
cdecl_const(KBD_MARKED_ENTER_KEY)
cdecl_const(KBD_PASSWORD_WIFI)
cdecl_const(KBD_NEXT)
cdecl_const(ICON_INFORMATION)
cdecl_const(ICON_QUESTION)
cdecl_const(ICON_WARNING)
cdecl_const(ICON_ERROR)
cdecl_const(ICON_WIFI)
cdecl_const(DEF_BUTTON1)
cdecl_const(DEF_BUTTON2)
cdecl_const(DEF_BUTTON3)
cdecl_const(NO_DISMISS)
cdecl_const(WITH_SIZE)
cdecl_const(LIST_BEGINPAINT)
cdecl_const(LIST_PAINT)
cdecl_const(LIST_ENDPAINT)
cdecl_const(LIST_OPEN)
cdecl_const(LIST_MENU)
cdecl_const(LIST_DELETE)
cdecl_const(LIST_EXIT)
cdecl_const(LIST_ORIENTATION)
cdecl_const(LIST_POINTER)
cdecl_const(LIST_INFO)
cdecl_const(LIST_SCROLL)
cdecl_const(LISTFLAG_SCROLL)
cdecl_const(BMK_CLOSED)
cdecl_const(BMK_SELECTED)
cdecl_const(BMK_ADDED)
cdecl_const(BMK_REMOVED)
cdecl_const(BMK_PAINT)
cdecl_const(CFG_TEXT)
cdecl_const(CFG_CHOICE)
cdecl_const(CFG_INDEX)
cdecl_const(CFG_TIME)
cdecl_const(CFG_FONT)
cdecl_const(CFG_FONTFACE)
cdecl_const(CFG_INFO)
cdecl_const(CFG_NUMBER)
cdecl_const(CFG_ENTEXT)
cdecl_const(CFG_PASSWORD)
cdecl_const(CFG_IPADDR)
cdecl_const(CFG_URL)
cdecl_const(CFG_PHONE)
cdecl_const(CFG_ACTIONS)
cdecl_const(CFG_CHOICE_SPECIAL_FONT)
cdecl_const(CFG_DIRECTORY)
cdecl_const(CFG_HOURS)
cdecl_const(CFG_CHECKBOX)
cdecl_const(CFG_SUBMENU_ACTION)
cdecl_const(CFG_CUSTOM)
cdecl_const(CFG_SUBMENU)
cdecl_const(CFG_MASK)
cdecl_const(CFG_HIDDEN)
cdecl_const(CFG_READONLY)
cdecl_const(CFG_BSCSPEC)
cdecl_const(ALLTASKS)
cdecl_const(MAINTASK)
cdecl_const(OTHERTASKS)
cdecl_const(THISTASK)
cdecl_const(ACTIVETASK)
cdecl_const(MPLAYERTASK)
cdecl_const(DICTIONARYTASK)
cdecl_const(ALLSUBTASKS)
cdecl_const(CURRENTSUBTASK)
cdecl_const(TASK_HIDDEN)
cdecl_const(TASK_COPYLASTFB)
cdecl_const(TASK_NOUPDATEONFOCUS)
cdecl_const(TASK_SINGLEINSTANCE)
cdecl_const(TASK_SPYEVENTS)
cdecl_const(TASK_OUTOFSTACK)
cdecl_const(TASK_NOFORCEDKILL)
cdecl_const(TASK_MAKEACTIVE)
cdecl_const(TASK_GROUP1)
cdecl_const(TASK_GROUP2)
cdecl_const(TASK_OOMPROOF)
cdecl_const(TASK_AUTORESTART)
cdecl_const(TASK_DONTSENDTASKMSG)
cdecl_const(TASK_DONTCHANGE)
cdecl_const(RQL_ADD)
cdecl_const(RQL_REPLACE)
cdecl_const(RQL_ADDIFNONE)
cdecl_const(RQL_REMOVE)
cdecl_const(REQ_KEYLOCK)
cdecl_const(REQ_MAINMENU)
cdecl_const(REQ_EXIT)
cdecl_const(REQ_LASTOPEN)
cdecl_const(REQ_PROFILES)
cdecl_const(REQ_SCREENSHOT)
cdecl_const(REQ_CALC)
cdecl_const(REQ_PLAYER)
cdecl_const(REQ_PLAYPAUSE)
cdecl_const(REQ_VOLUMEUP)
cdecl_const(REQ_VOLUMEDOWN)
cdecl_const(REQ_NETWORK)
cdecl_const(REQ_BTSWITCH)
cdecl_const(REQ_DROPCONN)
cdecl_const(REQ_TASKMGR)
cdecl_const(REQ_SWITCHTASK)
cdecl_const(REQ_FLIPTASK)
cdecl_const(REQ_KILLTASK)
cdecl_const(REQ_POWEROFF)
cdecl_const(REQ_OPENBOOK)
cdecl_const(REQ_BOOKSTATE)
cdecl_const(REQ_BOOKOPENED)
cdecl_const(REQ_HEADCHNG)
cdecl_const(REQ_OPENBOOK2)
cdecl_const(REQ_FRONTLIGHT)
cdecl_const(REQ_KEYUNLOCK)
cdecl_const(REQ_HOURGLASS)
cdecl_const(REQ_MESSAGEBOX)
cdecl_const(REQ_KEYHARDLOCK)
cdecl_const(REQ_PB_CLOUD_NEW_POSITION)
cdecl_const(ALIGN_LEFT)
cdecl_const(ALIGN_CENTER)
cdecl_const(ALIGN_RIGHT)
cdecl_const(ALIGN_FIT)
cdecl_const(VALIGN_TOP)
cdecl_const(VALIGN_MIDDLE)
cdecl_const(VALIGN_BOTTOM)
cdecl_const(ROTATE)
cdecl_const(HYPHENS)
cdecl_const(DOTS)
cdecl_const(RTLAUTO)
cdecl_const(UNDERLINE)
cdecl_const(STRETCH)
cdecl_const(TILE)
cdecl_const(TO_UPPER)
cdecl_const(FR_CLOSE)
cdecl_const(FR_MOVEUP)
cdecl_const(FR_MOVEDOWN)
cdecl_const(FR_DICTIONARY)
cdecl_const(FR_NOMARGIN)
cdecl_const(FR_OVERLAP)
cdecl_const(FR_HEADER)
cdecl_const(FR_UPDATE)
cdecl_const(FR_INFO)
cdecl_const(FR_WARNING)
cdecl_const(FR_ERROR)
cdecl_const(FR_DIALOG)
cdecl_const(FR_APP)
cdecl_const(ARROW_LEFT)
cdecl_const(ARROW_RIGHT)
cdecl_const(ARROW_UP)
cdecl_const(ARROW_DOWN)
cdecl_const(SYMBOL_OK)
cdecl_const(SYMBOL_PAUSE)
cdecl_const(SYMBOL_BULLET)
cdecl_const(ARROW_UPDOWN)
cdecl_const(SYMBOL_MENU)
cdecl_const(IMAGE_BW)
cdecl_const(IMAGE_GRAY2)
cdecl_const(IMAGE_GRAY4)
cdecl_const(IMAGE_GRAY8)
cdecl_const(IMAGE_RGB)
cdecl_const(ROTATE0)
cdecl_const(ROTATE90)
cdecl_const(ROTATE270)
cdecl_const(ROTATE180)
cdecl_const(XMIRROR)
cdecl_const(YMIRROR)
cdecl_const(A2DITHER)
cdecl_const(DITHER_THRESHOLD)
cdecl_const(DITHER_PATTERN)
cdecl_const(DITHER_DIFFUSION)
cdecl_const(QN_X)
cdecl_const(QN_Y)
cdecl_const(QN_XY)
cdecl_const(QN_SWAIT)
cdecl_const(QN_RWAIT)
cdecl_const(QN_CLEANUP)
cdecl_const(MP_ONCE)
cdecl_const(MP_CONTINUOUS)
cdecl_const(MP_RANDOM)
cdecl_const(FTYPE_UNKNOWN)
cdecl_const(FTYPE_BOOK)
cdecl_const(FTYPE_PICTURE)
cdecl_const(FTYPE_MUSIC)
cdecl_const(FTYPE_APPLICATION)
cdecl_const(FTYPE_WEBLINK)
cdecl_const(FTYPE_FOLDER)
cdecl_const(OB_ADDTOLAST)
cdecl_const(OB_WITHRETURN)
cdecl_const(OB_PARAMSFIRST)
cdecl_const(OB_NONEWTASK)
cdecl_const(OB_SOFTUPDATE)
cdecl_const(OB_NOHOURGLASS)
cdecl_const(NET_BLUETOOTH)
cdecl_const(NET_WIFI)
cdecl_const(NET_CDMA3G)
cdecl_const(NET_BTREADY)
cdecl_const(NET_WIFIREADY)
cdecl_const(NET_CDMA3GREADY)
cdecl_const(NET_CONNECTED)
cdecl_const(CONN_GPRS)
cdecl_const(CONN_WIFI)
cdecl_const(CONN_CDMA3G)
cdecl_const(BLUETOOTH_OFF)
cdecl_const(BLUETOOTH_HIDDEN)
cdecl_const(BLUETOOTH_VISIBLE)
cdecl_const(NET_OK)
cdecl_const(NET_CONNECT)
cdecl_const(NET_TRANSFER)
cdecl_const(NET_FAIL)
cdecl_const(NET_ABORTED)
cdecl_const(NET_EINIT)
cdecl_const(NET_EWRONGID)
cdecl_const(NET_ENETWORK)
cdecl_const(NET_EFILE)
cdecl_const(NET_EPIPE)
cdecl_const(NET_ETHREAD)
cdecl_const(NET_EPROTO)
cdecl_const(NET_EURL)
cdecl_const(NET_ERESOLVE)
cdecl_const(NET_ECONNECT)
cdecl_const(NET_EACCESS)
cdecl_const(NET_ENOTFOUND)
cdecl_const(NET_EPARTIAL)
cdecl_const(NET_EBROKEN)
cdecl_const(NET_ETIMEOUT)
cdecl_const(NET_ESERVER)
cdecl_const(NET_EHTTP)
cdecl_const(NET_EHARDWARE)
cdecl_const(NET_ENOTCONF)
cdecl_const(NET_EBADCONF)
cdecl_const(NET_ENODEVICE)
cdecl_const(NET_EPPP)
cdecl_const(NET_EDISABLED)
cdecl_const(NET_EDHCP)
cdecl_const(NET_EWRONGKEY)
cdecl_const(NET_EAUTH)
cdecl_const(GSENSOR_OFF)
cdecl_const(GSENSOR_ON)
cdecl_const(GSENSOR_INTR)
cdecl_const(VN_NOPATH)
cdecl_const(VN_NOESCAPE)
cdecl_const(VN_ABSOLUTE)
cdecl_const(VN_RELATIVE)
cdecl_const(A2DP_DISCONNECTED)
cdecl_const(A2DP_CONNECTED_TO_SNK)
cdecl_const(CF_CONFIG_RESUME)
cdecl_const(FONT_ACTIVATE_CODE)
cdecl_const(IV_OSY_STATUS_TURNED_OFF)
cdecl_const(IV_OSY_STATUS_WRONG_LOGIN_PASSWORD)
cdecl_const(IV_OSY_STATUS_DOWNLOADING)
cdecl_const(IV_OSY_STATUS_PAUSED)
cdecl_const(IV_OSY_STATUS_IDLE)
cdecl_const(IV_OSY_STATUS_ERROR)

cdecl_func(InitInkview)
cdecl_func(CalibrateGSensor)
cdecl_func(CloseApp)
cdecl_func(GetGlobalOrientation)
cdecl_func(GetOrientation)
cdecl_func(InkViewMain)
cdecl_func(iRect)
cdecl_func(OpenScreen)
cdecl_func(OpenScreenExt)
cdecl_func(QueryGSensor)
cdecl_func(ReadGSensor)
cdecl_func(ScreenHeight)
cdecl_func(ScreenWidth)
cdecl_func(SetGlobalOrientation)
cdecl_func(SetGSensor)
cdecl_func(SetGSensorEnabled)
cdecl_func(IsGSensorEnabled)
cdecl_func(GetGSensorOrientation)
cdecl_func(SetOrientation)

cdecl_func(AbortTransfer)
cdecl_func(AddLastOpen)
cdecl_func(AddScrolledArea)
cdecl_func(AddTranslation)
cdecl_func(AdjustDirectionKeys)
cdecl_func(adjustAreaDefault)
cdecl_func(adjustAreaWithVibrance)
cdecl_func(adjustAreaWithLabColorsSaturation)
cdecl_func(adjustAreaWithSaturationBrightnessAndDithering)
cdecl_func(arc_filename)
cdecl_func(base64_decode)
cdecl_func(base64_encode)
cdecl_func(BitmapFromScreen)
cdecl_func(BitmapFromScreenR)
cdecl_func(BitmapStretchCopy)
cdecl_func(BookPreparing)
cdecl_func(BookReady)
cdecl_func(BtSendFiles)
cdecl_func(CalibrateTouchDevice)
cdecl_func(CalibrateTouchpanel)
cdecl_func(CharWidth)
cdecl_func(CheckAssociatedFile)
cdecl_func(CheckFramePointer)
cdecl_func(clean_proxy_object)
cdecl_func(ClearAllScrolledAreas)
cdecl_func(ClearScreen)
cdecl_func(ClearTimer)
cdecl_func(ClearTimerByName)
cdecl_func(ClearTimerEx)
cdecl_func(CloseAllTasks)
cdecl_func(CloseConfig)
cdecl_func(CloseConfigLevel)
cdecl_func(CloseConfigNoSave)
cdecl_func(CloseContextMenu)
cdecl_func(CloseDialog)
cdecl_func(CloseDictionary)
cdecl_func(CloseFont)
cdecl_func(CloseKeyboard)
cdecl_func(ClosePlayer)
cdecl_func(CloseProgressbar)
cdecl_func(CloseSession)
cdecl_func(CloseTask)
cdecl_func(ColorMapCreate)
cdecl_func(ColorMapDestroy)
cdecl_func(convert_to_utf)
cdecl_func(CopyActiveFb)
cdecl_func(CopyBitmap)
cdecl_func(CopyBitmapDepth4To8)
cdecl_func(copy_file)
cdecl_func(copy_file_with_af)
cdecl_func(copy_proxy_object)
cdecl_func(CoverCacheGet)
cdecl_func(CoverCachePut)
cdecl_func(FastBookHash)
cdecl_func(crc32hash)
cdecl_func(CreateContextMenu)
cdecl_func(CreateEmptyNote)
cdecl_func(CreateNote)
cdecl_func(CreateNoteFromImages)
cdecl_func(CreateNoteFromPage)
cdecl_func(CreateProfile)
cdecl_func(create_proxy_object)
cdecl_func(CurrentDateStr)
cdecl_func(CustomDialogCreate)
cdecl_func(CustomDialogDestroy)
cdecl_func(CustomDialogRender)
cdecl_func(CustomDialogShow)
cdecl_func(DateStr)
cdecl_func(DeleteInt)
cdecl_func(DeleteProfile)
cdecl_func(delete_proxy)
cdecl_func(DeleteString)
cdecl_func(Dialog)
cdecl_func(Dialog3)
cdecl_func(DialogSynchro)
cdecl_func(DimArea)
cdecl_func(DisableExitHourglass)
cdecl_func(DitherArea)
cdecl_func(DitherAreaQuick2Level)
//cdecl_func(Download)
cdecl_func(DownloadTo)
cdecl_func(DownloadTo_Crutch)
cdecl_func(DrawApplicationCaption)
cdecl_func(DrawBitmap)
cdecl_func(DrawBitmapArea)
cdecl_func(DrawBitmapRect)
cdecl_func(DrawBitmapRect2)
cdecl_func(DrawBorder)
cdecl_func(DrawCircle)
cdecl_func(DrawDiagonalHatch)
cdecl_func(DrawDiagonalHatchLimits)
cdecl_func(DrawFrame)
cdecl_func(DrawLine)
cdecl_func(DrawLineEx)
cdecl_func(DrawPager)
cdecl_func(DrawPanel)
cdecl_func(DrawPanel2)
cdecl_func(DrawPanel3)
cdecl_func(DrawPanel4)
cdecl_func(DrawPanel5)
cdecl_func(DrawPickOut)
cdecl_func(DrawPickOutEx)
cdecl_func(DrawPixel)
cdecl_func(DrawRect)
cdecl_func(DrawRectRound)
cdecl_func(DrawSelection)
cdecl_func(DrawString)
cdecl_func(DrawStringR)
cdecl_func(DrawSymbol)
cdecl_func(DrawTabs)
cdecl_func(DrawTextRect)
cdecl_func(DrawTextRect2)
cdecl_func(DrawTextRect3)
cdecl_func(DynamicUpdate)
cdecl_func(DynamicUpdateA2)
cdecl_func(DynamicUpdateBW)
cdecl_func(EnumBTdevices)
cdecl_func(EnumConnections)
cdecl_func(EnumDictionaries)
cdecl_func(EnumFonts)
cdecl_func(EnumFontsEx)
cdecl_func(EnumFontsFromDirectoryEx)
cdecl_func(FreeFontsForSort)
cdecl_func(EnumFontsFromDirectory)
cdecl_func(EnumKeyboards)
cdecl_func(EnumLanguages)
cdecl_func(EnumNotepads)
cdecl_func(EnumProfileAvatars)
cdecl_func(EnumProfiles)
cdecl_func(EnumThemes)
cdecl_func(EnumWirelessNetworks)
cdecl_func(escape)
cdecl_func(ExitUpdateA2)
cdecl_func(FileType)
cdecl_func(FileTypeExt)
cdecl_func(FillArea)
cdecl_func(FillAreaRect)
cdecl_func(FindIsbnInText)
cdecl_func(FindTaskByAppName)
cdecl_func(FindTaskByBook)
cdecl_func(FineUpdate)
cdecl_func(FineUpdateSupported)
cdecl_func(FlushEvents)
cdecl_func(FlushLastOpen)
cdecl_func(ForcingSleep)
cdecl_func(FullUpdate)
cdecl_func(FullUpdateHQ)
cdecl_func(GetA2dpStatus)
cdecl_func(GetActiveTask)
cdecl_func(GetAppGlobalStyle)
cdecl_func(GetAppStyle)
cdecl_func(GetAppStyleEx)
cdecl_func(GetBookSyncStatus)
cdecl_func(GetAssociatedFile)
cdecl_func(GetBatteryPower)
cdecl_func(GetBluetoothMode)
cdecl_func(GetBookCover)
cdecl_func(GetBookInfo)
cdecl_func(GetBookInfoExt)
cdecl_func(GetBookISBN)
cdecl_func(GetBTservice)
cdecl_func(GetCanvas)
cdecl_func(GetCaptionHeight)
cdecl_func(GetClip)
cdecl_func(GetClipRect)
cdecl_func(GetCurrentLangText)
cdecl_func(GetCurrentProfile)
cdecl_func(GetCurrentTask)
cdecl_func(GetCurrentTrack)
cdecl_func(GetCustomFontString)
cdecl_func(GetDefaultUserAgent)
cdecl_func(GetDeviceFingerprint)
cdecl_func(GetDeviceKey)
cdecl_func(GetDeviceModel)
cdecl_func(GetDialogShow)
cdecl_func(get_encoding_table)
cdecl_func(GetEqualizer)
cdecl_func(GetEventHandler)
cdecl_func(GetExternalCardSerialNumber)
cdecl_func(GetFileHandler)
cdecl_func(GetFont)
cdecl_func(GetFontSelectorProperties)
cdecl_func(GetGlobalConfig)
cdecl_func(GetHardwareDepth)
cdecl_func(GetHardwareType)
cdecl_func(GetHeader)
cdecl_func(GetHighVolumeMaxInterval)
cdecl_func(GetHighVolumeTimeout)
cdecl_func(GetHw3GIMEI)
cdecl_func(GetHwAddress)
cdecl_func(GetHwBTAddress)
cdecl_func(GetKeyboardFlags)
cdecl_func(GetKeyboardRect)
cdecl_func(GetKeyboardRectWithParams)
cdecl_func(GetKeyMapping)
cdecl_func(GetKeyMappingEx)
cdecl_func(GetKeyResource)
cdecl_func(GetLangText)
cdecl_func(GetLangTextF)
cdecl_func(GetLangTextPlural)
cdecl_func(GetLastNetConnectionError)
cdecl_func(NetMgr)
cdecl_func(NetMgrStatus)
cdecl_func(NetMgrPing)
cdecl_func(GetLastOpen)
cdecl_func(GetListHeaderLevel)
cdecl_func(GetMenuRect)
cdecl_func(GetMenuRectEx)
cdecl_func(GetMultilineStringWidth)
cdecl_func(GetNetDNS)
cdecl_func(GetNetList)
cdecl_func(NetAdd)
cdecl_func(NetDelete)
cdecl_func(NetSelect)
cdecl_func(NetDelete_by_ssid)
cdecl_func(NetSelect_by_ssid)
cdecl_func(GetNetGateway)
cdecl_func(get_partner_id)
cdecl_func(get_keylock)
cdecl_func(is_enough_free_space)
cdecl_func(get_screen_dpi)

cdecl_func(isHighPriorityJobRunning)
cdecl_func(startHighPriorityJob)
cdecl_func(finishHighPriorityJob)
cdecl_func(haveDictionaryKeyboard)

cdecl_func(GetNetInfo)
cdecl_func(GetNetSignalQuality)
cdecl_func(GetNetState)
cdecl_func(GetPagerHeight)
cdecl_func(GetPagerRect)
cdecl_func(GetPanelType)
cdecl_func(GetPlayerMode)
cdecl_func(GetPlayerState)
cdecl_func(GetPlaylist)
cdecl_func(GetPreviousTask)
cdecl_func(GetPreviousTaskInStack)
cdecl_func(GetProfileAvatar)
cdecl_func(GetProfileType)
cdecl_func(get_proxy)
cdecl_func(GetProxyUrl)
cdecl_func(GetResource)
cdecl_func(GetSafeVolumeLimit)
cdecl_func(GetSerialNumber)
cdecl_func(GetSessionInfo)
cdecl_func(GetSessionStatus)
cdecl_func(GetSleepmode)
cdecl_func(GetSoftwareVersion)
cdecl_func(GetSupportedFileTypes)
cdecl_func(GetSupportedFileTypesLength)
cdecl_func(GetTaskFramebuffer)
cdecl_func(GetTaskFramebufferInfo)
cdecl_func(GetTaskInfo)
cdecl_func(GetTaskList)
cdecl_func(GetTemperature)
cdecl_func(GetThemeFont)
cdecl_func(GetThemeInt)
cdecl_func(GetThemeRect)
cdecl_func(GetThemeString)
cdecl_func(GetTouchInfo)
cdecl_func(GetTouchInfoI)
cdecl_func(GetTrackPosition)
cdecl_func(GetTrackSize)
cdecl_func(GetUserAgent)
cdecl_func(GetVolume)
cdecl_func(GetWaveformFilename)
cdecl_func(GetWiFiScanResults)
cdecl_func(GoSleep)
cdecl_func(GoToBackground)
cdecl_func(hash_add)
cdecl_func(hash_clear)
cdecl_func(hash_copy)
cdecl_func(hash_copy_to)
cdecl_func(hash_count)
cdecl_func(hash_delete)
cdecl_func(hash_destroy)
cdecl_func(hash_enumerate)
cdecl_func(hash_find)
cdecl_func(hash_merge)
cdecl_func(hash_merge_to)
cdecl_func(hash_new)
cdecl_func(HavePowerForSoftwareUpdate)
cdecl_func(HideHourglass)
cdecl_func(HQUpdateSupported)
cdecl_func(hw_get_lux_raw)
cdecl_func(hw_is_frontlight_auto)
cdecl_func(hw_is_frontlight_auto_supported)
cdecl_func(hw_set_frontlight_auto_enabled)

cdecl_func(GetFrontlightVersion)
cdecl_func(GetFrontlightState)
cdecl_func(SetFrontlightState)
cdecl_func(GetFrontlightEnabled)
cdecl_func(SetFrontlightEnabled)
cdecl_func(SetFrontlightStateEx)
cdecl_func(OpenFrontLightConfig)
cdecl_func(SwitchFrontlightState)
cdecl_func(GetFrontlightColor)
cdecl_func(SetFrontlightColor)

cdecl_func(IncreaseHighVolumeInterval)
cdecl_func(InvertArea)
cdecl_func(InvertAreaBW)
cdecl_func(InvertAreaMap)
cdecl_func(IsAnyEvents)
cdecl_func(IsAnyScrolledArea)
cdecl_func(IsBookRTL)
cdecl_func(IsCharging)
cdecl_func(IsInA2Update)
cdecl_func(IsInRect)
cdecl_func(IsJoystickButtonsPresent)
cdecl_func(IsKeyboardOpened)
cdecl_func(IsKeyPressed)
cdecl_func(IsPagerEvent)
cdecl_func(IsPlayingMP3)
cdecl_func(IsResourcePresent)
cdecl_func(IsRTL)
cdecl_func(IsSDinserted)
cdecl_func(IsShowPanelReader)
cdecl_func(IsTaskActive)
cdecl_func(IsUSBconnected)
cdecl_func(iv_access)
cdecl_func(iv_buildpath)
cdecl_func(iv_closedir)
cdecl_func(iv_evttype)
//cdecl_func(iv_fclose)
//cdecl_func(iv_fclose_no_sync)
//cdecl_func(iv_fgetc)
//cdecl_func(iv_fgets)
//cdecl_func(iv_fopen)
//cdecl_func(iv_fread)
//cdecl_func(iv_fseek)
//cdecl_func(iv_ftell)
cdecl_func(iv_fullscreen)
//cdecl_func(iv_fwrite)
cdecl_func(iv_get_obreey_status)
cdecl_func(iv_ipc_cmd)
cdecl_func(iv_ipc_request_with_timeout)
cdecl_func(iv_ipc_request)
cdecl_func(iv_ipc_request_secure)
cdecl_func(iv_mkdir)
cdecl_func(iv_nofullscreen)
cdecl_func(iv_opendir)
cdecl_func(iv_preload)
cdecl_func(iv_readdir)
cdecl_func(iv_reflow_addchar)
cdecl_func(iv_reflow_addimage)
cdecl_func(iv_reflow_bt)
cdecl_func(iv_reflow_clear)
cdecl_func(iv_reflow_div)
cdecl_func(iv_reflow_et)
cdecl_func(iv_reflow_getchar)
cdecl_func(iv_reflow_getimage)
cdecl_func(iv_reflow_getword)
cdecl_func(iv_reflow_render)
cdecl_func(iv_reflow_start)
cdecl_func(iv_reflow_subpages)
cdecl_func(iv_reflow_words)
cdecl_func(iv_rename)
cdecl_func(iv_rmdir)
cdecl_func(iv_setbgresponse)
cdecl_func(iv_sleepmode)
cdecl_func(iv_stat)
cdecl_func(iv_strcasecmp)
cdecl_func(iv_strcmp)
cdecl_func(iv_strncasecmp)
cdecl_func(iv_strncmp)
cdecl_func(iv_sync)
cdecl_func(iv_truncate)
cdecl_func(iv_unlink)
cdecl_func(iv_validate_name)
cdecl_func(iv_wait_task_activation)
cdecl_func(LeaveInkViewMain)
cdecl_func(LoadApplicationCaptionProperties)
cdecl_func(LoadBitmap)
cdecl_func(LoadContextMenuProperties)
cdecl_func(LoadHighVolumeTimeout)
cdecl_func(LoadJPEG)
cdecl_func(LoadKeyboard)
cdecl_func(LoadLanguage)
cdecl_func(LoadPagerProperties)
cdecl_func(LoadPlaylist)
cdecl_func(LoadPNG)
cdecl_func(LoadPNGStretch)
cdecl_func(LoadSelectionProperties)
cdecl_func(LoadTaskManagerProperties)
cdecl_func(LoadTIFF)
cdecl_func(LockDevice)
cdecl_func(LookupNext)
cdecl_func(LookupPrevious)
cdecl_func(LookupWord)
cdecl_func(LookupWordExact)
cdecl_func(MD5PartFile)
cdecl_func(md5sum)
cdecl_func(MergeClipRect)
cdecl_func(Message)
cdecl_func(MinimalTextRectWidth)
cdecl_func(MirrorBitmap)
cdecl_func(MoveBitmap)
cdecl_func(MoveBitmapRight)
cdecl_func(move_file)
cdecl_func(move_file_with_af)
cdecl_func(MultitaskingSupported)
cdecl_func(NetConnect)
cdecl_func(NetConnect2)
cdecl_func(NetConnectAsync)
cdecl_func(NetConnectSilent)
cdecl_func(NetDisconnect)
cdecl_func(NetError)
cdecl_func(NetErrorMessage)
cdecl_func(NetInfo)
cdecl_func(NewBitmap)
cdecl_func(NewSession)
cdecl_func(NewSubtask)
cdecl_func(NewTask)
cdecl_func(NewTaskEx)
cdecl_func(NextTrack)
cdecl_func(NotifyConfigChanged)
cdecl_func(ClearConfig)
cdecl_func(OpenBook)
cdecl_func(OpenBook2)
cdecl_func(OpenBookmarks)
cdecl_func(OpenBTdevicesMenu)
cdecl_func(OpenCalendar)
cdecl_func(OpenConfig)
cdecl_func(OpenConfigEditor)
cdecl_func(OpenConfigSubmenu)
cdecl_func(OpenConfigSubmenuExt)
cdecl_func(OpenContents)
cdecl_func(OpenContextMenu)
cdecl_func(OpenControlledDictionaryView)
cdecl_func(OpenControlPanel)
cdecl_func(OpenCustomKeyboard)
cdecl_func(GetWordListWithPrefix)
cdecl_func(OpenDictionary)
cdecl_func(OpenDictionaryView)
cdecl_func(OpenDirectorySelector)
cdecl_func(OpenDummyList)
cdecl_func(OpenFastTranslation)
cdecl_func(OpenFont)
cdecl_func(OpenFontSelector)
cdecl_func(OpenFontSelectorEx)
cdecl_func(GetFontMenuStruct)
cdecl_func(SetFontMenuStruct)
cdecl_func(ClearFontMenuStruct)
cdecl_func(ClearFontListStruct)
cdecl_func(OpenKeyboard)
cdecl_func(OpenKeyboardEx)
cdecl_func(OpenLastBooks)
cdecl_func(OpenList)
cdecl_func(OpenMainMenu)
cdecl_func(OpenMenu)
cdecl_func(OpenMenu3x3)
cdecl_func(OpenMenuEx)
cdecl_func(OpenNetworkInfo)
cdecl_func(OpenNotepad)
cdecl_func(OpenNotesMenu)
cdecl_func(OpenPageSelector)
cdecl_func(OpenPlayer)
cdecl_func(OpenProfileSelector)
cdecl_func(OpenProgressbar)
cdecl_func(OpenRotateBox)
cdecl_func(OpenTaskList)
cdecl_func(OpenTheme)
cdecl_func(OpenTimeEdit)
cdecl_func(PackParameters)
cdecl_func(PagerHandler)
cdecl_func(PageSnapshot)
cdecl_func(PanelHeight)
cdecl_func(PartialUpdate)
cdecl_func(PartialUpdateBlack)
cdecl_func(PartialUpdateBW)
cdecl_func(PartialUpdateDU4)
cdecl_func(PartialUpdateHQ)
cdecl_func(Path2String)
cdecl_func(PauseTransfer)
cdecl_func(PlayFile)
cdecl_func(PlayTrack)
cdecl_func(PostponeTimedPoweroff)
cdecl_func(PowerOff)
cdecl_func(PreviousTrack)
cdecl_func(ProcessEventLoop)
cdecl_func(PrepareForLoop)
cdecl_func(ClearOnExit)
cdecl_func(QueryDeviceButtons)
cdecl_func(QueryHeadphone)
cdecl_func(QueryNetwork)
cdecl_func(QueryTimer)
cdecl_func(QueryTimerEx)
cdecl_func(QueryTouchpanel)
cdecl_func(QuickDownload)
cdecl_func(QuickDownloadExt)
cdecl_func(QuickDownloadExt2)
cdecl_func(QuickFloyd16Dither)
cdecl_func(QuickNavigator)
cdecl_func(QuickNavigatorSupported)
cdecl_func(ReadInt)
cdecl_func(ReadSecret)
cdecl_func(ReadString)
cdecl_func(recurse_action)
cdecl_func(RefreshConfig)
cdecl_func(RegisterFontList)
cdecl_func(ReleaseTaskFramebuffer)
cdecl_func(RemoveScrolledArea)
cdecl_func(RenameProfile)
cdecl_func(Repaint)
cdecl_func(ResetHighVolumeTimeout)
cdecl_func(RestoreStartupLogo)
cdecl_func(ResumeTransfer)
cdecl_func(SafeMode)
cdecl_func(SaveBitmap)
cdecl_func(SaveConfig)
cdecl_func(SaveHighVolumeTimeout)
cdecl_func(SaveJPEG)
cdecl_func(SavePNG)
cdecl_func(ScheduleUpdate)
cdecl_func(SendEvent)
cdecl_func(SendEventSyncTo)
cdecl_func(SendEventTo)
cdecl_func(SendGlobalRequest)
cdecl_func(SendMessageTo)
cdecl_func(SendRequest)
cdecl_func(SendRequestNoWait)
cdecl_func(SendRequestTo)
cdecl_func(SendRequestToNoWait)
cdecl_func(SetActiveTask)
cdecl_func(SetApplicationCaptionHeight)
cdecl_func(SetAutoPowerOff)
cdecl_func(SetBluetoothMode)
cdecl_func(SetCanvas)
cdecl_func(SetClip)
cdecl_func(SetClipRect)
cdecl_func(SetConfigEditorBackground)
cdecl_func(SetContextMenu)
cdecl_func(SetCurrentApplicationAttribute)
cdecl_func(SetCurrentProfile)
cdecl_func(GetProfilesCountAfterEnum)
cdecl_func(ScanProfiles)
cdecl_func(GetLocalProfilesLimit)
cdecl_func(GetSDProfilesLimit)
cdecl_func(GetProfilesLimit)

cdecl_func(ClearProfilesStruct)
cdecl_func(ClearProfileStruct)
cdecl_func(GetProfilesList)
cdecl_func(DeleteProfileEx)
cdecl_func(RenameProfileEx)
cdecl_func(GetCurrentProfileEx)
cdecl_func(SetCurrentProfileEx)
cdecl_func(GetProfilesCount)

cdecl_func(SetEqualizer)
cdecl_func(SetEventHandler)
cdecl_func(SetEventHandlerEx)
cdecl_func(SetFileHandler)
cdecl_func(SetFont)
cdecl_func(SetHardTimer)
cdecl_func(SetHardTimerEx)
cdecl_func(SetKeyboardRate)
cdecl_func(SetListHeaderLevel)
cdecl_func(SetLoadImageFlags)
cdecl_func(SetManualPanelUpdates)
cdecl_func(SetMenuFont)
cdecl_func(SetMessageHandler)
cdecl_func(SetMinimalXScrollIndent)
cdecl_func(SetMinimalYScrollIndent)
cdecl_func(SetPanelSeparatorEnabled)
cdecl_func(IsPanelSeparatorEnabled)
cdecl_func(InitPanel)
cdecl_func(SetPanelKeyForFullScreenEnabled)
cdecl_func(SetPanelType)
cdecl_func(SetPlayerMode)
cdecl_func(SetPlayerState)
cdecl_func(SetPort)
cdecl_func(SetProfileAvatar)
cdecl_func(set_proxy)
cdecl_func(SetProxy)
cdecl_func(SetQuickNavigatorXY)
cdecl_func(SetReadingMode)
cdecl_func(SetRequestListener)
cdecl_func(SetRTLBook)
cdecl_func(SetSessionFlag)
cdecl_func(SetShowPanelReader)
cdecl_func(SetSubtaskInfo)
cdecl_func(SetTaskParameters)
cdecl_func(SetTextStrength)
cdecl_func(SetTrackPosition)
cdecl_func(SetTransparentColor)
cdecl_func(SetUserAgent)
cdecl_func(SetVolume)
cdecl_func(SetWeakTimer)
cdecl_func(SetWeakTimerEx)
cdecl_func(ShowHourglass)
cdecl_func(ShowHourglassAt)
cdecl_func(ShowHourglassForce)
cdecl_func(ShowHourglassForceAt)
cdecl_func(ShowPureHourglass)
cdecl_func(ShowPureHourglassForce)
cdecl_func(SoftUpdate)
cdecl_func(SoftUpdateHQ)
cdecl_func(StartPanelProgress)
cdecl_func(StartSoftwareUpdate)
cdecl_func(StopPanelProgress)
cdecl_func(Stretch)
cdecl_func(StretchArea)
cdecl_func(StretchAreaBW)
cdecl_func(StretchBitmap)
cdecl_func(StringWidth)
cdecl_func(StringWidthExt)
cdecl_func(SubtaskFinished)
cdecl_func(SwitchBookmark)
cdecl_func(SwitchSubtask)
cdecl_func(TestCurrentApplicationAttribute)
cdecl_func(TextRectHeight)
cdecl_func(TextRectHeightEx)
cdecl_func(TileBitmap)
cdecl_func(TogglePlaying)
cdecl_func(Transparent)
cdecl_func(TransparentRect)
cdecl_func(trim_right)
cdecl_func(ucs2utf)
cdecl_func(unescape)
cdecl_func(unlink_file_with_af)
cdecl_func(UnpackParameters)
cdecl_func(UpdateConfigPage)
cdecl_func(UpdateCurrentConfigPage)
cdecl_func(UpdateMenuEx)
cdecl_func(UpdateProgressbar)
cdecl_func(utf2ucs)
cdecl_func(utf2ucs4)
cdecl_func(utf_tolower_ext)
cdecl_func(utf_toupper_ext)
cdecl_func(vhash_add)
cdecl_func(vhash_delete)
cdecl_func(vhash_find)
cdecl_func(vhash_new)
cdecl_func(WaitForUpdateComplete)
cdecl_func(WiFiPower)
cdecl_func(WiFiScanProcessGetResults)
cdecl_func(WiFiScanProcessSetSelectiveList)
cdecl_func(WiFiScanProcessStart)
cdecl_func(WiFiScanProcessStop)
cdecl_func(wpa_passphrase)
cdecl_func(WriteInt)
cdecl_func(WriteIntVolatile)
cdecl_func(WriteSecret)
cdecl_func(WriteStartupLogo)
cdecl_func(WriteString)
cdecl_func(WriteStringVolatile)
cdecl_func(zLoadBitmap)

cdecl_struct(hw_event_data_pointer_s)
cdecl_struct(hw_event_data_common_s)
cdecl_struct(hw_event_s)
cdecl_type(hw_event)
cdecl_func(hw_init)
cdecl_func(hw_close)
cdecl_func(hw_setglobalkeymask)
cdecl_func(iv_setup_touchpanel)
cdecl_func(iv_setup_gsensor)
cdecl_func(iv_update_orientation)
cdecl_func(hw_get_keylock)
